+ Start a Discussion
MATTYBMEMATTYBME 

Fix for error "org.eclipse.wst.sse.ui.StructuredTextEdit..." opening the Editor in Eclipse

For any of you who have experienced an error "org.eclipse.wst.sse.ui.StructuredTextEditor.isBlockSelectionModeEnabled()Z" upon opening the

Editor in Eclipse version 3.4 when trying to access your Force.com Project here is the fix.

 

1. Help -> Software Updates 
2. Click on "Revert Configuration 
3. My current (broken) configuration had "Eclipse XML editors and 
tools" version 3.1 
4. Find the configuration that has Eclipse XML editors..." version 
3.0.4.<date><key> 
5. select that configuration and click "Finish" 
6. The workbench will restart 

 

The "XML Editors" version that works for me is 
3.0.4v200811211541<key> .

It got broken when I updated to 

3.1.0,v200905240756<key>.  

 

Hope that helps someone

PSteves91PSteves91
I had the same issue and this helped me... Thanks!
NFPGardenAdmin1NFPGardenAdmin1

Thank you for posting this - I had the same issue but I was in the middle of switching desktops, so there are many things that have changed.  I would have never found this.

 

Greatly appreciated.

JonPJonP

I've added this solution to the Force.com IDE FAQ page: http://bit.ly/7NvhoC

 

Thanks for your contribution! 

Message Edited by JonP on 01-14-2010 03:01 PM